export interface TableClass {
    filename: string;
    fullPath: string;
    tableName: string;
    className: string;
}
export declare class InserterBuilder {
    private camelCaseFnNames;
    private compiledTemplate;
    private compiledInsertTemplate;
    private compiledBatchInsertTemplate;
    constructor(camelCaseFnNames: boolean);
    renderInserter(tables: TableClass[]): string;
    private renderImportRow(table);
}
